CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel: Kernel::ConstructBarycenter_3 Concept Reference

CGAL 6.1.2 - 2D and 3D Linear Geometry Kernel

Loading...
Searching...
No Matches
List of all members
Kernel::ConstructBarycenter_3 Concept Reference
Reference Manual » Concepts » Kernel Function Object Concepts

## Definition

Refines
  `AdaptableTernaryFunction`

See also
  `Kernel::ConstructCentroid_3`
  `CGAL::centroid()`
  `CGAL::barycenter()`

## Operations
A model of this concept must provide:
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `1-w1`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2, const Kernel::FT &w2)
| compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2, const Kernel::FT &w2, const Kernel::Point_3 &p3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `1-w1-w2`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2, const Kernel::FT &w2, const Kernel::Point_3 &p3, const Kernel::FT &w3)
| compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2, const Kernel::FT &w2, const Kernel::Point_3 &p3, const Kernel::FT &w3, const Kernel::Point_3 &p4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `1-w1-w2-w3`.
Kernel::Point_3 | operator() (const Kernel::Point_3 &p1, const Kernel::FT &w1, const Kernel::Point_3 &p2, const Kernel::FT &w2, const Kernel::Point_3 &p3, const Kernel::FT &w3, const Kernel::Point_3 &p4, const Kernel::FT &w4)
| compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.

## Member Function Documentation

## ◆ operator()() [1/3]

Kernel::Point_3 Kernel::ConstructBarycenter_3::operator() | ( | const Kernel::Point_3 & | p1,
|  | const Kernel::FT & | w1,
|  | const Kernel::Point_3 & | p2,
|  | const Kernel::FT & | w2
| ) |  |

compute the barycenter of the points `p1` and `p2` with corresponding weights `w1` and `w2`.

Precondition
  `w1+w2 != 0`.

## ◆ operator()() [2/3]

Kernel::Point_3 Kernel::ConstructBarycenter_3::operator() | ( | const Kernel::Point_3 & | p1,
|  | const Kernel::FT & | w1,
|  | const Kernel::Point_3 & | p2,
|  | const Kernel::FT & | w2,
|  | const Kernel::Point_3 & | p3,
|  | const Kernel::FT & | w3
| ) |  |

compute the barycenter of the points `p1`, `p2` and `p3` with corresponding weights `w1`, `w2` and `w3`.

Precondition
  `w1+w2+w3 != 0`.

## ◆ operator()() [3/3]

Kernel::Point_3 Kernel::ConstructBarycenter_3::operator() | ( | const Kernel::Point_3 & | p1,
|  | const Kernel::FT & | w1,
|  | const Kernel::Point_3 & | p2,
|  | const Kernel::FT & | w2,
|  | const Kernel::Point_3 & | p3,
|  | const Kernel::FT & | w3,
|  | const Kernel::Point_3 & | p4,
|  | const Kernel::FT & | w4
| ) |  |

compute the barycenter of the points `p1`, `p2`, `p3` and `p4` with corresponding weights `w1`, `w2`, `w3` and `w4`.

Precondition
  `w1+w2+w3+w4 != 0`.